Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class TagEntryTransformer

    ru.biosoft.access.AbstractTransformer
      |
      +--ru.biosoft.access.support.TagEntryTransformer

Direct Known Subclasses:
  BeanInfoEntryTransformer

public abstract class TagEntryTransformer
extends AbstractTransformer

Method Summary
`void` | `addCommand(TagCommand command)`
`abstract String` | `getEndTag()`
`Class` | `getInputType()`
`Class` | `getOutputType()`
`Object` | `getProcessedObject()`
`abstract String` | `getStartTag()`
`void` | `readObject(Object obj, Reader entryReader)`
`void` | `removeCommand(String name)`
`synchronized DataElement` | `transformInput(DataElement input)`
`synchronized DataElement` | `transformOutput(DataElement input)`
`void` | `writeObject(Object obj, Writer writer)`

Methods inherited from class ru.biosoft.access.AbstractTransformer
`getPrimaryCollection, getTransformedCollection, init, isInputType, isOutputType`

Method Detail

### addCommand

    public void addCommand(TagCommand command)

### getEndTag

    public abstract String getEndTag()

### getInputType

    public Class getInputType()

### getOutputType

    public Class getOutputType()

### getProcessedObject

    public Object getProcessedObject()

### getStartTag

    public abstract String getStartTag()

### readObject

    public void readObject(Object obj, Reader entryReader)

### removeCommand

    public void removeCommand(String name)

### transformInput

    public synchronized DataElement transformInput(DataElement input)
                                             throws java.lang.Exception

### transformOutput

    public synchronized DataElement transformOutput(DataElement input)
                                              throws java.lang.Exception

### writeObject

    public void writeObject(Object obj, Writer writer)
                      throws java.lang.Exception

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

to Class java.util.Map

to Class java.util.List

to Class java.lang.Class

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM